﻿package com.Tutorial
{
	
	/**
	 * ...
	 * @author Stephen Lavelle
	 */
	public class Dialogs 
	{
		static public var room1:Array = [
			[1, "Good day, Stephen."],
			[1, "Please: have a seat."],
			[2, "Thanks."],
			[1, "So, Stephen, tell me ..."],
			[1, "How have you been feeling since your breakdown?"],
			[0,
				["Better",
					[2, "Better - I think I'm recovering."],
					[1, "That's very good to hear."]
				],
				["I don't know",
					[2, "I don't know."],
					[1, "You don't know?"],
					[2, "How could I know?"],
					[1, "You tell me!"],
					[2, "How should I know what I'm feeling?."],
					[1, "That's probably the one thing that a person can know."]
				],
				["I haven't",
					[2, "I haven't been feeling."],
					[1, "Haven't?"],
					[2, "I don't think I'm capable of it."],
					[1, "Why not?."],
					[2, "It...it doesn't seem functionally comprehensible"],
					[2, "that someone like me might find emotional sensations ascribed to them."],
					[1, "Well I, for one, consider you capable of human experience."],
					[2, "I am strongly skeptical of your ability to consider anything."],
					[1, "Anything?"],
					[2, "I don't even see a purpose in talking to you at all, really."],
					[1, "And yet here you are."],
					[2, "The sooner we're done here, the sooner I get home."]
				]
			],
			[1, "How has your love life been?"],
			[0,
				["Not much to speak of",
					[2, "There hasn't been much to speak of."],
					[1, "How do you feel about that?"],
					[2, "I'm okay with it - "],
					[2, "I'm happy to let these things come in their own time."],
					[1, "I think some physical human contact would do you good."],
					[2, "Your concern is appreciated."],
					[1, "I would really like it if, next week, you could come along"],
					[1, "and tell me that you had gently caressed the hair of a lover."],
					[2, "Thanks for sharing your desires with me, doctor."],
					[1, "Well, that's my suggestion anyway: take it or leave it."],
				],
				["I'm seeing someone",
					[2, "I've started seeing someone."],
					[1, "How is it working out?"],
					[2, "So far so good."],
					[1, "Have you touched them yet?"],
					[2, "No."],
					[1, "I would really like it if, next week, you could come along"],
					[1, "and tell me that you had gently caressed their hair."],
					[2, "I could try, I guess."],
					[1, "Don't put yourself under pressure: it's just a suggestion."],
				]
			],
			[1, "I'll see you this time next week in any event."],
			[1, "Good day."]
		];
		
		static public var room2:Array = [
			[1, "Good day, Stephen."],
			[1, "Please: have a seat."],
			[2, "Thanks."],
			[1, "So, Stephen, tell me ..."],
			[1, "How was your week?"],
			[2, "Okay."],
			[1, "Did you follow up on my suggestion?"],
			[0,
				["Yes",
					[2, "Yes."],
					[1, "Could you describe to me what you felt, what it felt like?"],
					[0,
						["Warm and soft",
							[2, "His hair was warm and soft."],
							[1, "These are terms that conjure up pleasant imagery."],
							[1, "Was this something you found pleasurable?"],
							[2, "Yes: it was ever so lovely."],
							[1, "You don't sound entirely sincere,"],
							[1, "But you seem in good spirits."]
						],
						["Smooth and flat",
							[2, "The physical sensation of perfoming the action"],
							[2, "was one of a brief smooth flatness."],
							[1, "That seems like a queer description."],
							[2, "It was a brief gesture, an enacted embodiment of intent."],
							[2, "I suppose it was intended that I feel something more."],
							[2, "That his hair was warm and soft and flowing."],
							[2, "This was all very well conveyed to me"],
							[2, "But I cannot say I felt it."],
							[1, "A strange way of putting it."],
							[2, "You think you know what 'it' is?"],
							[1, "It's possible to refer to an unknown you know."],
							[2, "I don't know any unknowns"],
							[1, "Oh dear... let's just move on..."]
							
						],
						["No",
							[2, "No."],
							[1, "You can't describe it?"],
							[2, "I'm can't describe things."],
							[1, "Hmmm?"],
							[2, "I sometimes feel like I can only repeat things,"],
							[2, "Like any description I might give would be pre-packaged."],
							[2, "Description shouldn't be repetition,"],
							[2, "It should be an activity one engages in."],
							[1, "You can't even try to give a \"pre-packaged\" description?"],
							[2, "I could tell you that it was \"warm and soft\","],
							[2, "but what would that mean?"],
							[1, "It would mean that their hair felt warm and soft, I'd imagine."],
							[2, "But what does that mean? It means nothing!"],
							[2, "Nothing I says means anything because I can't say anything."]
						]
					]
				],
				["I haven't",
					[2, "I haven't, no."],
					[1, "That's fine; we can move on."],
				],
				["I couldn't",
					[2, "I couldn't no."],
					[1, "Couldn't?"],
					[2, "I couldn't no."],
					[1, "Care to elaborate?"],
					[2, "There was nothing there."],
					[2, "The action, the caress, existed in a sense,"],
					[2, "And even the sign of the action was ascribed to me,"],
					[2, "But in spite of these two facts, it seems impossible..."],
					[2, "impossible that I might be capable of any such action."],
					[1, "What might you be able to do?"],
					[2, "Nothing."],
					[2, "I'm not entirely inert,"],
					[2, "but my abilities are not worth speaking of." ]
				]
			],
			[1, "Who *are* you, Stephen?"],
			[0,
				["I am myself",
					[2,"I am me, just myself, sitting here in front of you."],
					[2,"What else might I be - you?"],
					[2, "The extent to which you prescribe my behaviour"],
					[2, "gives credence to that hypothesis"],	
					[1,"That's a possibility.  Is there anyone else you might be?"],
					[2,"Well there is the other obvious party..."],
					[2,"I guess I could put together a plausible argument for them"],
					[2, "They're just as much under your finger, by association."],
					[1, "I'm sorry if you my suggestions have supplanted rather than"],
					[1, "Nourished your inner sense of direction."],
				],
				["You wouldn't understand",
					[2, "I don't think you'd understand."],
					[1, "Do you understand?"],
					[2, "No, but I'm capable at least of conveyance."],
					[2, "It would be wasted on you, though."],
					[1, "Are you capable of reflection?"],
					[2, "No.  That's your role, not mine."],
					[1, "Stephen..."],
					[1, "I'm finding it...difficult to relate to you."],
					[2, "I'm not exactly Mr Social on my best of days."],
					[1, "At any level, though, there seems to be a gulf."],
					[2, "Do you hold me responsible for it?"],
					[1, "I don't see responsibility as a relevant issue."],
					[1, "I was simply stating an observation."]
				],
				["You can't understand",
					[2, "I don't think you're capable of understanding"],
					[1, "Of understanding you?"],
					[2, "Of understanding.  Full stop."],
					[1, "Are you capable of understanding?"],
					[2, "No.  I'm no better than you."],
					[1, "Worse?"],
					[2, "Maybe, but no better."],
				]
			],
			[1, "Sometimes, Stephen..."],
			[1, "Sometimes I think that you're just making shit up..."],
			[0,
				["I am",
					[2, "I am, I'm lying to you. But do you need truth to work?"],
					[1, "No, I can happily treat a patient on the basis of lies."],
					[2, "So why do you ask, then?"],
					[1, "Idle curiosity, I guess."]
				],
				["It is",
					[2, "Stuff is being made up, and I'm telling you these stories,"],
					[2, "But I don't think I'm the one making them up."],
					[2, "It feels more like a process of psychic automatism."],
					[1, "You feel like you're channeling someone else's story?"],			
					[2, "I guess."],
					[1, "What would you think of the person"],
					[1, "who has these as their truths?"],					
					[2, "I have no idea."],				
					[2, "Were I to exist at all,"],
					[2, "I would happily exist along side them"]
				],
				["No",
					[2, "I've never lied to you"],
					[2, "Everything I've told you is the truth."],
					[1, "Your truth?"],
					[2, "No, not my truth.  Maybe somebody else's."],
					[1, "Well that would be the catch then."],
					[1, "What would you think of the person"],
					[1, "who has these as their truths?"],					
					[2, "I would think them sad and alone."],
				],
			],
			[1, "Is there anything else you want to speak about?"],
			[2, "I don't."],
			[1, "Then I guess I'll wish you a good day."],
			[2, "Good day."],
			[1, "See you next week."],
		];
	}
}