﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class MenuState extends FlxState
    {
        
		[Embed(source = "../../data/mus/blip.mp3")] public static var SndOpen:Class;
		[Embed(source = "../../data/mus/door.mp3")] public static var SndDoor:Class;
		[Embed(source = "../../data/mus/house.mp3")] public static var SndHouse:Class;
		[Embed(source = "../../data/mus/house2.mp3")] public static var SndHouse2:Class;
		[Embed(source = "../../data/mus/title.mp3")] public static var SndTitle:Class;
		
		private var bClosing:Boolean;
		
        override public function MenuState():void
        {
//			BattleState.matchCount = 0;        
//			BattleState.dieCount = 1;
			bClosing = false;
            this.add(new FlxText(20, 40, FlxG.width, 400, "Therapy\nGame", 0xff9bd8d7, null, 16, "left")) as FlxText;
            this.add(new FlxText(60, 105 , FlxG.width, 8, "x to start", 0xff9bd8d7, null, 8, "left")) as FlxText;
			FlxG.setMusic(SndTitle);
        }
        
        override public function update():void
        {
            if (FlxG.kA&&!bClosing)
            {
				bClosing = true;
                FlxG.fade(0xff000000, 1, onFade);	
				FlxG.stopMusic();				
				FlxG.play(SndOpen,1);
            }
            
            super.update();
        }
        private function onFade():void
        {
			FlxG.level = 9;
			FlxG.oldlevel = 9;
            FlxG.switchState(PrefactoryCommentState);
        }
    }
}